<?php

require_once 'SebastianBergmann/FinderFacade/autoload.php';
require_once 'SebastianBergmann/Version/autoload.php';
require_once 'Symfony/Component/Console/autoload.php';
require_once 'SebastianBergmann/Timer/autoload.php';

spl_autoload_register(
  function ($class)
  {
      static $classes = NULL;
      static $path    = NULL;

      if ($classes === NULL) {
          $classes = array(
              ___CLASSLIST___
          );

          $path = dirname(__FILE__);
      }

      $cn = strtolower($class);

      if (isset($classes[$cn])) {
          require $path . $classes[$cn];
      }
  }
);
